## r-cran-rmariadb 1.3.3+ds

=== DESCRIPTION ===
Package: RMariaDB
Title: Database Interface and MariaDB Driver
Version: 1.3.3
Authors@R: c(
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Jeroen", "Ooms", role = "aut",
           comment = c(ORCID = "0000-0002-4035-0289")),
    person("David", "James", role = "aut"),
    person("Saikat", "DebRoy", role = "aut"),
    person("Hadley", "Wickham", role = "aut"),
    person("Jeffrey", "Horner", role = "aut"),
    person("R Consortium", role = "fnd"),
    person("RStudio", role = "cph")
  )
Description: Implements a DBI-compliant interface to MariaDB
    (<https://mariadb.org/>) and MySQL (<https://www.mysql.com/>)
    databases.
License: MIT + file LICENSE
URL: https://rmariadb.r-dbi.org, https://github.com/r-dbi/RMariaDB,
        https://downloads.mariadb.org/connector-c/
BugReports: https://github.com/r-dbi/RMariaDB/issues
Depends: R (>= 2.8.0)
Imports: bit64, blob, DBI (>= 1.1.3), hms (>= 0.5.0), lubridate,
        methods, rlang
Suggests: DBItest (>= 1.7.2.9001), decor, readr, rprojroot, testthat
        (>= 3.0.0), withr
LinkingTo: cpp11, plogr
Config/Needs/website: r-dbi/dbitemplate
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/testthat/edition: 3
Encoding: UTF-8
NeedsCompilation: yes
RoxygenNote: 7.3.2.9000
SystemRequirements: libmariadb-client-lgpl-dev or libmariadb-dev or
        libmysqlclient-dev, with libssl-dev (deb),
        mariadb-connector-c-devel or mariadb-devel (rpm),
        mariadb-connector-c or mysql-connector-c (brew)
Collate: 'MariaDBConnection.R' 'MariaDBDriver.R' 'MariaDBResult.R'
        'RMariaDB-package.R' 'coerce.R' 'compatRowNames.R' 'connect.R'
        'cpp11.R' 'dbAppendTable_MariaDBConnection.R'
        'dbBegin_MariaDBConnection.R' 'dbBind_MariaDBResult.R'
        'dbClearResult_MariaDBResult.R' 'dbColumnInfo_MariaDBResult.R'
        'dbCommit_MariaDBConnection.R' 'dbConnect_MariaDBDriver.R'
        'dbDataType_MariaDBConnection.R' 'dbDataType_MariaDBDriver.R'
        'dbDisconnect_MariaDBConnection.R'
        'dbExistsTable_MariaDBConnection_character.R'
        'dbFetch_MariaDBResult.R' 'dbGetInfo_MariaDBConnection.R'
        'dbGetInfo_MariaDBDriver.R' 'dbGetRowCount_MariaDBResult.R'
        'dbGetRowsAffected_MariaDBResult.R'
        'dbGetStatement_MariaDBResult.R'
        'dbHasCompleted_MariaDBResult.R'
        'dbIsValid_MariaDBConnection.R' 'dbIsValid_MariaDBDriver.R'
        'dbIsValid_MariaDBResult.R'
        'dbListObjects_MariaDBConnection_ANY.R'
        'dbListTables_MariaDBConnection.R'
        'dbQuoteIdentifier_MariaDBConnection_Id.R'
        'dbQuoteIdentifier_MariaDBConnection_SQL.R'
        'dbQuoteIdentifier_MariaDBConnection_character.R'
        'dbQuoteLiteral_MariaDBConnection.R'
        'dbQuoteString_MariaDBConnection_SQL.R'
        'dbQuoteString_MariaDBConnection_character.R'
        'dbReadTable_MariaDBConnection_character.R'
        'dbRemoveTable_MariaDBConnection_character.R'
        'dbRollback_MariaDBConnection.R'
        'dbSendQuery_MariaDBConnection_character.R'
        'dbSendStatement_MariaDBConnection_character.R'
        'dbUnloadDriver_MariaDBDriver.R'
        'dbUnquoteIdentifier_MariaDBConnection_SQL.R'
        'dbWriteTable_MariaDBConnection_character_character.R'
        'dbWriteTable_MariaDBConnection_character_data.frame.R'
        'default.R' 'export.R' 'query.R' 'quote.R'
        'show_MariaDBConnection.R' 'sqlData_MariaDBConnection.R'
        'table.R' 'transaction.R' 'utils.R' 'zzz.R'
Packaged: 2024-11-18 04:01:17 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
  David James [aut],
  Saikat DebRoy [aut],
  Hadley Wickham [aut],
  Jeffrey Horner [aut],
  R Consortium [fnd],
  RStudio [cph]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2024-11-18 06:10:02 UTC

=== src/CMakeLists.txt ===
# Generated by cynkrathis::use_cmakelists(), do not edit by hand
#
# Call:
# quote(cynkrathis::use_cmakelists())

add_library(RMariaDB
  DbConnection.cpp
  DbConnection.h
  DbResult.cpp
  DbResult.h
  DbResultImpl.h
  DbResultImplDecl.h
  MariaBinding.cpp
  MariaBinding.h
  MariaResult.cpp
  MariaResult.h
  MariaResultImpl.cpp
  MariaResultImpl.h
  MariaResultPrep.cpp
  MariaResultPrep.h
  MariaResultSimple.cpp
  MariaResultSimple.h
  MariaRow.cpp
  MariaRow.h
  MariaTypes.cpp
  MariaTypes.h
  MariaUtils.cpp
  MariaUtils.h
  RMariaDB_types.h
  connection.cpp
  cpp11.cpp
  driver.cpp
  integer64.h
  pch.h
  result.cpp
)

set(R_DEPENDENCIES cpp11 plogr)

execute_process(COMMAND bash "-c" "Rscript -e 'cat(R.home(\"include\"))'" OUTPUT_VARIABLE R_INCLUDE)
execute_process(COMMAND bash "-c" "Rscript -e 'cat(.libPaths()[[1]])'" OUTPUT_VARIABLE R_LIBDIR)

foreach(PKG_NAME IN LISTS R_DEPENDENCIES)
  list(APPEND R_PKG_INCLUDE_LIST "${R_LIBDIR}/${PKG_NAME}/include")
endforeach()
message("${R_PKG_INCLUDE_LIST}")

target_include_directories(RSQLite PUBLIC
  ${R_PKG_INCLUDE_LIST}
  ${R_INCLUDE}
  # Included by default
  "."
  "vendor"
)

get_target_property(include_dirs RSQLite INTERFACE_INCLUDE_DIRECTORIES)
message("${include_dirs}")

include(./custom.cmake OPTIONAL)

## r-cran-rmariadb 1.3.2+ds

=== debian/changelog ===
r-cran-rmariadb (1.3.2+ds-2~0exp0) experimental; urgency=medium

  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 12:48:36 +0200

r-cran-rmariadb (1.3.2+ds-1) unstable; urgency=medium

  [ Shayan Doust ]
  * Initial release (closes: #1076191)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 08:56:00 +0200

=== debian/control ===
Source: r-cran-rmariadb
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Shayan Doust <hello@shayandoust.me>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb.git
Homepage: https://cran.r-project.org/package=RMariaDB
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               architecture-is-64-bit,
               r-base-dev,
               r-cran-bit64,
               r-cran-blob,
               r-cran-dbi (>= 1.1.3),
               r-cran-hms,
               r-cran-lubridate,
               r-cran-rlang,
               r-cran-cpp11,
               r-cran-plogr,
               libboost-dev,
               libmariadb-client-lgpl-dev-compat
Testsuite: autopkgtest-pkg-r

Package: r-cran-rmariadb
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Database Interface and 'MariaDB' Driver
 Implements a 'DBI'-compliant interface to 'MariaDB'
 (<https://mariadb.org/>) and 'MySQL' (<https://www.mysql.com/>)
 databases.

## r-cran-rmariadb 1.3.3+ds

=== debian/changelog ===
r-cran-rmariadb (1.3.3+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,12 @@
 Source: r-cran-rmariadb
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Shayan Doust <hello@shayandoust.me>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb.git
-Homepage: https://cran.r-project.org/package=RMariaDB
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev,
-               architecture-is-64-bit,
                r-base-dev,
                r-cran-bit64,
                r-cran-blob,
@@ -24,7 +18,11 @@
                r-cran-plogr,
                libboost-dev,
                libmariadb-client-lgpl-dev-compat
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb.git
+Homepage: https://cran.r-project.org/package=RMariaDB
+Rules-Requires-Root: no
 
 Package: r-cran-rmariadb
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-dbitest (>= 1.7.2.9001),
        r-cran-decor,
        r-cran-readr,
        r-cran-rprojroot,
        r-cran-testthat (>= 3.0.0),
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz \
https://cloud.r-project.org/src/contrib/RMariaDB_([-\d.]*)\.tar\.gz

## r-cran-rmariadb 1.3.4+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RMariaDB
 Title: Database Interface and MariaDB Driver
-Version: 1.3.3
+Version: 1.3.4
 Authors@R: c(
     person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-1416-3412")),
@@ -59,6 +59,7 @@
         'dbQuoteIdentifier_MariaDBConnection_SQL.R'
         'dbQuoteIdentifier_MariaDBConnection_character.R'
         'dbQuoteLiteral_MariaDBConnection.R'
+        'dbQuoteLiteral_MySQLConnection.R'
         'dbQuoteString_MariaDBConnection_SQL.R'
         'dbQuoteString_MariaDBConnection_character.R'
         'dbReadTable_MariaDBConnection_character.R'
@@ -70,10 +71,10 @@
         'dbUnquoteIdentifier_MariaDBConnection_SQL.R'
         'dbWriteTable_MariaDBConnection_character_character.R'
         'dbWriteTable_MariaDBConnection_character_data.frame.R'
-        'default.R' 'export.R' 'query.R' 'quote.R'
+        'default.R' 'export.R' 'query.R' 'quote-mysql.R' 'quote.R'
         'show_MariaDBConnection.R' 'sqlData_MariaDBConnection.R'
         'table.R' 'transaction.R' 'utils.R' 'zzz.R'
-Packaged: 2024-11-18 04:01:17 UTC; kirill
+Packaged: 2025-02-24 18:19:17 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
@@ -84,4 +85,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2024-11-18 06:10:02 UTC
+Date/Publication: 2025-02-24 18:50:05 UTC

=== debian/changelog ===
r-cran-rmariadb (1.3.4+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Feb 2026 08:54:34 +0900

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
            Shayan Doust <hello@shayandoust.me>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-bit64,
                r-cran-blob,
-               r-cran-dbi (>= 1.1.3),
+               r-cran-dbi,
                r-cran-hms,
                r-cran-lubridate,
                r-cran-rlang,
                r-cran-cpp11,
                r-cran-plogr,
                libboost-dev,
-               libmariadb-client-lgpl-dev-compat
-Standards-Version: 4.7.0
+               libmariadb-client-lgpl-dev-compat,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb.git
 Homepage: https://cran.r-project.org/package=RMariaDB

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-dbitest,
         r-cran-decor,
         r-cran-readr,
         r-cran-rprojroot,
         r-cran-testthat,
         r-cran-withr
Restrictions: allow-stderr

## r-cran-rmariadb 1.3.5+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: RMariaDB
 Title: Database Interface and MariaDB Driver
-Version: 1.3.4
+Version: 1.3.5
 Authors@R: c(
     person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-1416-3412")),
@@ -25,14 +25,14 @@
         methods, rlang
 Suggests: DBItest (>= 1.7.2.9001), decor, readr, rprojroot, testthat
         (>= 3.0.0), withr
-LinkingTo: cpp11, plogr
+LinkingTo: cpp11
 Config/Needs/website: r-dbi/dbitemplate
 Config/autostyle/scope: line_breaks
 Config/autostyle/strict: false
 Config/testthat/edition: 3
 Encoding: UTF-8
 NeedsCompilation: yes
-RoxygenNote: 7.3.2.9000
+RoxygenNote: 7.3.3.9000
 SystemRequirements: libmariadb-client-lgpl-dev or libmariadb-dev or
         libmysqlclient-dev, with libssl-dev (deb),
         mariadb-connector-c-devel or mariadb-devel (rpm),
@@ -74,9 +74,10 @@
         'default.R' 'export.R' 'query.R' 'quote-mysql.R' 'quote.R'
         'show_MariaDBConnection.R' 'sqlData_MariaDBConnection.R'
         'table.R' 'transaction.R' 'utils.R' 'zzz.R'
-Packaged: 2025-02-24 18:19:17 UTC; kirill
-Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
-  Jeroen Ooms [aut] (<https://orcid.org/0000-0002-4035-0289>),
+Packaged: 2026-02-05 19:48:36 UTC; kirill
+Author: Kirill Müller [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-1416-3412>),
+  Jeroen Ooms [aut] (ORCID: <https://orcid.org/0000-0002-4035-0289>),
   David James [aut],
   Saikat DebRoy [aut],
   Hadley Wickham [aut],
@@ -85,4 +86,4 @@
   RStudio [cph]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2025-02-24 18:50:05 UTC
+Date/Publication: 2026-02-06 06:40:54 UTC

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
   result.cpp
 )
 
-set(R_DEPENDENCIES cpp11 plogr)
+set(R_DEPENDENCIES cpp11)
 
 execute_process(COMMAND bash "-c" "Rscript -e 'cat(R.home(\"include\"))'" OUTPUT_VARIABLE R_INCLUDE)
 execute_process(COMMAND bash "-c" "Rscript -e 'cat(.libPaths()[[1]])'" OUTPUT_VARIABLE R_LIBDIR)

=== debian/changelog ===
r-cran-rmariadb (1.3.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 09 Feb 2026 14:47:43 +0900

=== debian/control ===
Source: r-cran-rmariadb
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Michael R. Crusoe <crusoe@debian.org>,
 Shayan Doust <hello@shayandoust.me>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-bit64,
 r-cran-blob,
 r-cran-dbi,
 r-cran-hms,
 r-cran-lubridate,
 r-cran-rlang,
 r-cran-cpp11,
 libboost-dev,
 libmariadb-client-lgpl-dev-compat,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rmariadb.git
Homepage: https://cran.r-project.org/package=RMariaDB
Rules-Requires-Root: no

Package: r-cran-rmariadb
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: Database Interface and 'MariaDB' Driver
 Implements a 'DBI'-compliant interface to 'MariaDB'
 (<https://mariadb.org/>) and 'MySQL' (<https://www.mysql.com/>)
 databases.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-dbitest (>= 1.7.2.9001),
 r-cran-decor,
 r-cran-readr,
 r-cran-rprojroot,
 r-cran-testthat (>= 3.0.0),
 r-cran-withr,
